Driver nvidia gtx 1050ti laptop

53 envíos / 0 nuevos
Último envío
#1 Mié, 31/01/2018 - 16:53
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

Driver nvidia gtx 1050ti laptop

Estado: 
[ACTIVO]

Hola buenas a todos, les comento, me compre hace poco una laptop asus rog con y tiene integrada una nvidia gtx 1050 ti, y por lo que se es una hibrida y los drivers .run no me sirve, que solo funciona los prime, pero hasta ahora no logro hacerlo funcionar, cada configuración que hago me quedo con la pantalla en negro.

Podrian ayudarme? si la uso asi la bateria no me dura mas de una hora. y con windows llega a casi las 5 hs.

https://wiki.debian.org/es/NvidiaGraphicsDrivers/Optimus

Segui esos paso y nada,

Tengo instalado debian 9.3 y  como escritorio uso cinammon.

Espero sus comentarios. Saludos

Mié, 31/01/2018 - 21:28
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

Pues nada, vamos a lo de siempre... que tampoco me apetece buscar...

Si estás seguro de que tienes un equipo con tecnología Optimus (por mucho que  lo diga en la wiki, no puedes usar una grafica u otra con esta tecnología. Esta tecnología utiliza siempre la gráfica integrada intel. Si se ejecuta algo con la nvidia, ésta hace el trabajo pesado y pasa el resultado a la intel para que lo muestre en pantalla. Con Optimus NUNCA podrás desactivar la intel y configurar el sistema para que use la nvidia).:

1.- Eliminar cualquier configuración que hayas hecho para nvidia (/etc/X11/xorg.conf, /etc/X11/xorg.conf.d/20-nvidia.conf) y cualquier cosa que hayas intentando instalar para nvidia (los .run de su página son un dolor de cabeza, y usualmente no compatibles con el kernel de tu sistema. Demasiado nuevos si usas stable, demasiado viejos si usas unstable. Aunque en realidad si pueden servir, solo hay que meter nouveau en blacklist y eliminar la configuración que hayan hecho después de su compilación. Pero lo dicho, un dolor de cabeza que no es necesario pasar hoy en día al ofrecer debian un controlador en sus repositorios oficiales).

2.- sudo apt install build-essential linux-headers-`uname -r` nvidia-detect

3.- ejecutar nvidia-detect y adaptar su salida al driver a instalar (si responde nvidia-driver, será xserver-xorg-video-nvidia): apt install xserver-xorg-video-nvidia bumblebee-nvidia bbswitch-dkms nvidia-kernel-dkms. (para esto, deberás tener activos los repositorios contrib y non-free).

4.- Desinstalar xserver-xorg-video-intel, tu sistema funcionará con el driver del kernel mejor que con ese.

5.- Crear el archivo /etc/modprobe.d/bbswitch.conf con el contenido

options bbswitch load_state=0 unload_state=0

para que mantenga la nvidia apagada al cargarse y descargarse para ahorrar energía.

6.- Editar el archivo /etc/bumblebee/bumblebee.conf y configurar en el mismo TurnCardOffAtExit=true para que apague la nvidia al dejar de usarla y KeepUnusedXServer=false para que desactive el servidor X que usa la misma  y así ahorrar energía.

7.- Añadir tu usuario al grupo bumblebee para tener  permiso de acceso a la gráfica.

8.- Reiniciar y comprobar que todo funciona correctamente: optirun (o primusrun) programa-a-ejecutar-con-nvidia

9.- Si aún ves que el sistema consume demasiada energía o tiene una temperatura alta, crear el archivo /etc/modprobe.d/i915.conf con el contenido

options i915 modeset=1 semaphores=1 enable_rc6=7 enable_dc=2 enable_fbc=1

10.- actualizar la imagen de arranque con el comando update-initramfs -u -k all.

11.- reiniciar y comprobar que todo funciona correctamente.

12.- El estado de la nvidia, puedes comprobarlo mirando el contenido del archivo /proc/acpi/bbswitch

 

P.D.: No sé ni cuántas veces he dicho todo esto en el foro ya... buscar parece no estar en el vocabulario de los nuevos... ;) RTFM

 

  No hay bar que por bien no venga....
Sáb, 03/02/2018 - 09:08 (Responder a #2)
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

Hola panko, muchas gracias por repsonder, lo que hice es intalar debian de nuevo, para limpiar todo lo que llegue a configurar.

Cuando ejecuto 

nvidia-detect

​uego de instalarlo obtengo : 

No NVIDIA GPU detected

Te recuerdo tengo una notebook Asus rog con una placa integrada nvidia gtx 1050 ti. 

si ejecuto 

lspci -nn | egrep -i "3d|display|vga"

obtengo

00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:591b] (rev 04)
01:00.0 3D controller [0302]: NVIDIA Corporation GP107M [GeForce GTX 1050 Ti Mobile] [10de:1c8c] (rev a1)

Me sirve la solucion que me indicas?

 

Sáb, 03/02/2018 - 11:15
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

En algunos casos, como he visto recientemente en este mismo foro, es posible que la versión de nvidia-detect no sepa gue gráfica tienes (puede ser que no todos los ids estén metidos en su lista).

No, no tienes un Asus con nvidia integrada, tienes un Asus con tecnología Optimus, que lleva una gráfica intel integrada (que siempre está en uso) y una gráfica nvidia dedicada (en mi caso, es una gt610m). Mi  solución debería valerte sin ningún problema, pero si esperas un poco voy a ver que driver puedes usar para tu gráfica.

 

Edit..

Parece que si debería servirte  si sigues lo que te he puesto. El problema que puedes tener, por lo que veo, es que es un equipo bastante nuevo, por lo que es posible que la versión que se incluya del driver no  tenga añadido el ID de la gráfica (de ahi que nvidia-detect no sepa cual es).

Prueba lo que te he dicho y, si no consigues que funcione como digo, comenta aqui el resultado, con logs que puedas agregar (cuando usas el comando optirun programa, el log se genera en /var/log/Xorg.8.log, el 0 es el de la intel).

Si no conseguimos que funcione, mi recomendación sería que te informaras acerca de los repositorios backports para stretch e instalaras los paquetes que te he dicho desde ese repositorio, que a parte de un driver más actualizado, tendrás también un kernel más actualizado.

 

Edit 2...

¿Que modelo exactamente es tu laptop? Veo dos, 553VD y 553VE. El VD si  que dice por ahi que es Optimus, así que imagino que el VE también lo es. Igual que veo que es una laptop dirigida a gamers. Por lo que veo, me reitero, prueba lo que te he dicho, aunque diga que no sabe que nvidia tiene, si no funciona prueba lo de los backports. Y una cosa importante que se me olvidó incluir: en la parte para editar /etc/bumblebee/bumblebee.conf, busca la sección

# The Driver used by Bumblebee server. If this value is not set (or empty),
# auto-detection is performed. The available drivers are nvidia and nouveau
# (See also the driver-specific sections below)
Driver=nvidia

que está justo bajo de lo que te dije que modificaras, y asegurate que pone lo que ves aqui, Driver=nvidia

  No hay bar que por bien no venga....
Sáb, 03/02/2018 - 12:09 (Responder a #4)
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

Hola, es una asus rog gl553ve.

Ahora pruebo con tu tutorial, espero todo salga de 10. 

 

Edit1: desde que la compre en la primera semana de enero que ando buscando como hacer quedar bien la grafica y no e tenido suerte, buscando encontre este foro, y bueno a consultar a los que mas exp tienen.

Sáb, 03/02/2018 - 12:32
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

Llegue hasta el punto 8 y reinicie la notebook y parece que andaria bien, pruebo a ver como va el consumo d ela bateria, y comento si tengo algun problema. En un rato si todo va OK paso a resuelto.

Muchas gracias por tu ayuda.

 

Edit: Intente hacer optirun gitkraken y tengo este mensaje

[  480.893162] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver

[  480.893181] [ERROR]Aborting because fallback start is disabled.

Ahora, si uso primusrun gitkraken

usr/bin/primusrun: línea 41: aviso: command substitution: ignored null byte in input
Gtk-Message: Failed to load module "canberra-gtk-module"
Node started time: 1517672138074
state:  update-not-available
EVENT: Main process loaded at 311 ms
state:  checking-for-update
state:  update-not-available
state:  checking-for-update
EVENT: Starting initial render of foreground window at 3430 ms
EVENT: Startup triggers started at 3528 ms
state:  update-not-available

 

 

Edit 2:

si uso systemctl status bumblebeed obtengo

bumblebeed.service - Bumblebee C Daemon
   Loaded: loaded (/lib/systemd/system/bumblebeed.service; enabled; vendor preset: enabled)
   Active: active (running) since Sat 2018-02-03 14:20:08 -03; 12min ago
 Main PID: 575 (bumblebeed)
    Tasks: 1 (limit: 4915)
   CGroup: /system.slice/bumblebeed.service
           └─575 /usr/sbin/bumblebeed

pero aun sigo teniendo problemas con la bateria se descarga rapido.

Sáb, 03/02/2018 - 14:37
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

Necesitaría ver el log que te he comentado.

También estaría bien ver el log del proceso de instalación que has hecho, a ver si ha fallado la compilación del controlador o simplemente es que no vale para la tuya.

la salida del comando groups también vendría bien.

  No hay bar que por bien no venga....
Sáb, 03/02/2018 - 14:45
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

12.- El estado de la nvidia, puedes comprobarlo mirando el contenido del archivo /proc/acpi/bbswitch

no existe 

/var/log/Xorg.8.log tampoco existe

Desoues que opciones tengo que agregar al comando groups?

Edit:

Comando groups

jlopez cdrom floppy audio dip video plugdev netdev bluetooth lpadmin scanner bumblebee

 

Dom, 04/02/2018 - 09:28
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

necesitaría saber si el driver se compiló (lo automáticamente al instalar lo que te dije)... si no puedes encontrar un log del proceso, que no usaste consola, abre una consola y ejecuta:

sudo apt install aptitude (por si no lo tuvieras instalado)
sudo aptitude reinstall ~nnvidia ~ndkms

y pones la salida que te haya dado la consola. Tiene toda la pinta de que el driver de stretch no es lo suficientemente nuevo, pero vamos a comprobar esa salida primero. Si no hay error y no funciona. Pasamos a lo que te comenté de los backports, que tendrá una versión más reciente de lo que necesitas.

  No hay bar que por bien no venga....
Dom, 04/02/2018 - 09:52
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18
sudo aptitude reinstall ~nnvidia ~ndkms
[sudo] password for jlopez: 
libnvidia-legacy-340xx-fbc1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-fbc1:i386 is not currently installed, so it will not be reinstalled
libnvidia-ptxjitcompiler is not currently installed, so it will not be reinstalled
libnvidia-ptxjitcompiler:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-smi is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-smi:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-cuda1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-cuda1:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-compiler" instead of the virtual package "libnvidia-compiler-375.82"
libnvidia-compiler is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-compiler:i386" instead of the virtual package "libnvidia-compiler-375.82:i386"
libnvidia-compiler:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-304xx-compiler" instead of the virtual package "libnvidia-compiler-304.135"
libnvidia-legacy-304xx-compiler is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-304xx-compiler:i386" instead of the virtual package "libnvidia-compiler-304.135:i386"
libnvidia-legacy-304xx-compiler:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-driver-bin is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-driver-bin:i386 is not currently installed, so it will not be reinstalled
nvidia-cuda-mps is not currently installed, so it will not be reinstalled
nvidia-cuda-mps:i386 is not currently installed, so it will not be reinstalled
libglx0-glvnd-nvidia:i386 is not currently installed, so it will not be reinstalled
nvidia-support:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-driver-bin is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-driver-bin:i386 is not currently installed, so it will not be reinstalled
libgles-nvidia1:i386 is not currently installed, so it will not be reinstalled
libgles-nvidia2:i386 is not currently installed, so it will not be reinstalled
nvidia-kernel-common:i386 is not currently installed, so it will not be reinstalled
"nvidia-legacy-304xx-alternative--kmod-alias" es un paquete virtual proporcionado por:
  nvidia-legacy-304xx-alternative:i386 nvidia-legacy-304xx-alternative 
Debe elegir uno para instalar.
"nvidia-legacy-304xx-alternative--kmod-alias:i386" es un paquete virtual proporcionado por:
  nvidia-legacy-304xx-alternative nvidia-legacy-304xx-alternative:i386 
Debe elegir uno para instalar.
nvidia-cg-toolkit is not currently installed, so it will not be reinstalled
nvidia-cg-toolkit:i386 is not currently installed, so it will not be reinstalled
libnvidia-ml1:i386 is not currently installed, so it will not be reinstalled
nvidia-vulkan-icd:i386 is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-driver-libs-i386:i386" instead of the virtual package "nvidia-driver-libs-i386"
nvidia-driver-libs-i386:i386 is not currently installed, so it will not be reinstalled
nvidia-driver-libs-i386:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-driver-libs is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-driver-libs:i386 is not currently installed, so it will not be reinstalled
nvidia-egl-icd:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-compiler is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-compiler:i386 is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-legacy-304xx-driver-bin" instead of the virtual package "nvidia-driver-bin-304.135"
nvidia-legacy-304xx-driver-bin is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-legacy-304xx-driver-bin:i386" instead of the virtual package "nvidia-driver-bin-304.135:i386"
nvidia-legacy-304xx-driver-bin:i386 is not currently installed, so it will not be reinstalled
"xserver-xorg-video-nvidia-any:i386" es un paquete virtual proporcionado por:
  xserver-xorg-video-nvidia-legacy-340xx:i386 
  xserver-xorg-video-nvidia-legacy-304xx:i386 
  xserver-xorg-video-nvidia:i386 
Debe elegir uno para instalar.
nvidia-driver:i386 is not currently installed, so it will not be reinstalled
xserver-xorg-video-nvidia-legacy-340xx is not currently installed, so it will not be reinstalled
xserver-xorg-video-nvidia-legacy-340xx:i386 is not currently installed, so it will not be reinstalled
nvidia-modprobe:i386 is not currently installed, so it will not be reinstalled
bumblebee-nvidia:i386 is not currently installed, so it will not be reinstalled
nvidia-settings-legacy-340xx is not currently installed, so it will not be reinstalled
nvidia-settings-legacy-340xx:i386 is not currently installed, so it will not be reinstalled
libegl1-nvidia-legacy-340xx is not currently installed, so it will not be reinstalled
libegl1-nvidia-legacy-340xx:i386 is not currently installed, so it will not be reinstalled
"nvidia-texture-tools" es un paquete virtual proporcionado por:
  libnvtt-bin:i386 libnvtt-bin 
Debe elegir uno para instalar.
libnvidia-legacy-340xx-ifr1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-ifr1:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-cfg1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-cfg1:i386 is not currently installed, so it will not be reinstalled
nvidia-xconfig is not currently installed, so it will not be reinstalled
nvidia-xconfig:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-vdpau-driver is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-vdpau-driver:i386 is not currently installed, so it will not be reinstalled
nvidia-vulkan-common:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-340xx-glcore" instead of the virtual package "libnvidia-glcore-340.102"
libnvidia-legacy-340xx-glcore is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-340xx-glcore:i386" instead of the virtual package "libnvidia-glcore-340.102:i386"
libnvidia-legacy-340xx-glcore:i386 is not currently installed, so it will not be reinstalled
libnvidia-encode1 is not currently installed, so it will not be reinstalled
libnvidia-encode1:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-smi is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-smi:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-compiler is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-compiler:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-vdpau-driver is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-vdpau-driver:i386 is not currently installed, so it will not be reinstalled
nvidia-vdpau-driver:i386 is not currently installed, so it will not be reinstalled
libgl1-nvidia-glvnd-glx:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-kernel-support is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-kernel-support:i386 is not currently installed, so it will not be reinstalled
"nvidia-legacy-340xx-alternative--kmod-alias" es un paquete virtual proporcionado por:
  nvidia-legacy-340xx-alternative:i386 nvidia-legacy-340xx-alternative 
Debe elegir uno para instalar.
"nvidia-legacy-340xx-alternative--kmod-alias:i386" es un paquete virtual proporcionado por:
  nvidia-legacy-340xx-alternative nvidia-legacy-340xx-alternative:i386 
Debe elegir uno para instalar.
"libnvidia-cfg1-any:i386" es un paquete virtual proporcionado por:
  libnvidia-legacy-340xx-cfg1:i386 libnvidia-legacy-304xx-cfg1:i386 
  libnvidia-cfg1:i386 
Debe elegir uno para instalar.
Note: selecting "libgldispatch0-nvidia:i386" instead of the virtual package "glvnd-nvidia-abi-375.20:i386"
libgldispatch0-nvidia:i386 is not currently installed, so it will not be reinstalled
libgles1-nvidia-legacy-340xx is not currently installed, so it will not be reinstalled
libgles1-nvidia-legacy-340xx:i386 is not currently installed, so it will not be reinstalled
libglx-nvidia0:i386 is not currently installed, so it will not be reinstalled
glx-alternative-nvidia:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-opencl-icd is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-opencl-icd:i386 is not currently installed, so it will not be reinstalled
nvidia-smi is not currently installed, so it will not be reinstalled
nvidia-smi:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-kernel-dkms is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-kernel-dkms:i386 is not currently installed, so it will not be reinstalled
libgles1-nvidia is not currently installed, so it will not be reinstalled
libgles1-nvidia:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-kernel-source is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-kernel-source:i386 is not currently installed, so it will not be reinstalled
nvidia-detect:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-opencl-icd is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-opencl-icd:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-eglcore is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-eglcore:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-driver-libs is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-driver-libs:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-egl-wayland" instead of the virtual package "libnvidia-egl-wayland-375.82"
libnvidia-egl-wayland is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-egl-wayland:i386" instead of the virtual package "libnvidia-egl-wayland-375.82:i386"
libnvidia-egl-wayland:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-glcore is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-glcore:i386 is not currently installed, so it will not be reinstalled
nvidia-kernel-dkms:i386 is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-legacy-304xx-driver-libs-i386:i386" instead of the virtual package "nvidia-legacy-304xx-driver-libs-i386"
nvidia-legacy-304xx-driver-libs-i386:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-driver-libs-i386:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-alternative is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-alternative:i386 is not currently installed, so it will not be reinstalled
xserver-xorg-video-nvidia-legacy-304xx is not currently installed, so it will not be reinstalled
xserver-xorg-video-nvidia-legacy-304xx:i386 is not currently installed, so it will not be reinstalled
libegl-nvidia0:i386 is not currently installed, so it will not be reinstalled
nvidia-settings-legacy-304xx is not currently installed, so it will not be reinstalled
nvidia-settings-legacy-304xx:i386 is not currently installed, so it will not be reinstalled
nvidia-egl-common:i386 is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-legacy-340xx-driver-libs-i386:i386" instead of the virtual package "nvidia-legacy-340xx-driver-libs-i386"
nvidia-legacy-340xx-driver-libs-i386:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-driver-libs-i386:i386 is not currently installed, so it will not be reinstalled
mate-sensors-applet-nvidia is not currently installed, so it will not be reinstalled
mate-sensors-applet-nvidia:i386 is not currently installed, so it will not be reinstalled
libnvidia-egl-wayland is not currently installed, so it will not be reinstalled
libnvidia-egl-wayland:i386 is not currently installed, so it will not be reinstalled
nvidia-nsight is not currently installed, so it will not be reinstalled
libgles1-glvnd-nvidia:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-340xx-cuda1-i386:i386" instead of the virtual package "libnvidia-legacy-340xx-cuda1-i386"
libnvidia-legacy-340xx-cuda1-i386:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-cuda1-i386:i386 is not currently installed, so it will not be reinstalled
libgl1-nvidia-glx is not currently installed, so it will not be reinstalled
libgl1-nvidia-glx:i386 is not currently installed, so it will not be reinstalled
libnvidia-cfg1:i386 is not currently installed, so it will not be reinstalled
libgl1-nvidia-legacy-340xx-glx is not currently installed, so it will not be reinstalled
libgl1-nvidia-legacy-340xx-glx:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-check:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-304xx-cuda1-i386:i386" instead of the virtual package "libnvidia-legacy-304xx-cuda1-i386"
libnvidia-legacy-304xx-cuda1-i386:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-cuda1-i386:i386 is not currently installed, so it will not be reinstalled
nvidia-opencl-common is not currently installed, so it will not be reinstalled
nvidia-opencl-common:i386 is not currently installed, so it will not be reinstalled
libnvidia-fatbinaryloader is not currently installed, so it will not be reinstalled
libnvidia-fatbinaryloader:i386 is not currently installed, so it will not be reinstalled
libnvidia-fbc1 is not currently installed, so it will not be reinstalled
libnvidia-fbc1:i386 is not currently installed, so it will not be reinstalled
"nvidia-legacy-304xx-kernel-304.135" es un paquete virtual proporcionado por:
  nvidia-legacy-304xx-kernel-dkms:i386 nvidia-legacy-304xx-kernel-dkms 
Debe elegir uno para instalar.
"nvidia-legacy-304xx-kernel-304.135:i386" es un paquete virtual proporcionado por:
  nvidia-legacy-304xx-kernel-dkms:i386 nvidia-legacy-304xx-kernel-dkms 
Debe elegir uno para instalar.
"libgl1-nvidia-glx-any:i386" es un paquete virtual proporcionado por:
  libgl1-nvidia-legacy-340xx-glx:i386 libgl1-nvidia-legacy-304xx-glx:i386 
  libgl1-nvidia-glx:i386 libgl1-nvidia-glvnd-glx:i386 
Debe elegir uno para instalar.
Note: selecting "libnvidia-legacy-304xx-glcore" instead of the virtual package "libnvidia-glcore-304.135"
libnvidia-legacy-304xx-glcore is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-304xx-glcore:i386" instead of the virtual package "libnvidia-glcore-304.135:i386"
libnvidia-legacy-304xx-glcore:i386 is not currently installed, so it will not be reinstalled
libgles2-nvidia-legacy-340xx is not currently installed, so it will not be reinstalled
libgles2-nvidia-legacy-340xx:i386 is not currently installed, so it will not be reinstalled
libgl1-nvidia-legacy-304xx-glx is not currently installed, so it will not be reinstalled
libgl1-nvidia-legacy-304xx-glx:i386 is not currently installed, so it will not be reinstalled
nvidia-kernel-support:i386 is not currently installed, so it will not be reinstalled
nvidia-profiler is not currently installed, so it will not be reinstalled
libnvidia-compiler is not currently installed, so it will not be reinstalled
libnvidia-compiler:i386 is not currently installed, so it will not be reinstalled
"nvidia-legacy-340xx-kernel-340.102" es un paquete virtual proporcionado por:
  nvidia-legacy-340xx-kernel-dkms:i386 nvidia-legacy-340xx-kernel-dkms 
Debe elegir uno para instalar.
"nvidia-legacy-340xx-kernel-340.102:i386" es un paquete virtual proporcionado por:
  nvidia-legacy-340xx-kernel-dkms:i386 nvidia-legacy-340xx-kernel-dkms 
Debe elegir uno para instalar.
nvidia-cuda-toolkit is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-driver is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-driver:i386 is not currently installed, so it will not be reinstalled
nvidia-driver-libs:i386 is not currently installed, so it will not be reinstalled
nvidia-driver-bin:i386 is not currently installed, so it will not be reinstalled
nvidia-kernel-source is not currently installed, so it will not be reinstalled
nvidia-kernel-source:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-kernel-support is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-kernel-support:i386 is not currently installed, so it will not be reinstalled
"nvidia-glx-any:i386" es un paquete virtual proporcionado por:
  nvidia-legacy-340xx-driver:i386 nvidia-legacy-304xx-driver:i386 
  nvidia-driver:i386 
Debe elegir uno para instalar.
libnvidia-legacy-304xx-nvcuvid1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-nvcuvid1:i386 is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-driver-bin:i386" instead of the virtual package "nvidia-driver-bin-375.82:i386"
nvidia-driver-bin:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-encode1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-encode1:i386 is not currently installed, so it will not be reinstalled
nvidia-visual-profiler is not currently installed, so it will not be reinstalled
nvidia-persistenced:i386 is not currently installed, so it will not be reinstalled
libegl1-nvidia is not currently installed, so it will not be reinstalled
libegl1-nvidia:i386 is not currently installed, so it will not be reinstalled
libgles2-nvidia is not currently installed, so it will not be reinstalled
libgles2-nvidia:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-340xx-compiler" instead of the virtual package "libnvidia-compiler-340.102"
libnvidia-legacy-340xx-compiler is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-340xx-compiler:i386" instead of the virtual package "libnvidia-compiler-340.102:i386"
libnvidia-legacy-340xx-compiler:i386 is not currently installed, so it will not be reinstalled
libgldispatch0-nvidia:i386 is not currently installed, so it will not be reinstalled
xserver-xorg-video-nvidia:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-glcore:i386" instead of the virtual package "libnvidia-glcore-375.82:i386"
libnvidia-glcore:i386 is not currently installed, so it will not be reinstalled
libnvidia-ifr1 is not currently installed, so it will not be reinstalled
libnvidia-ifr1:i386 is not currently installed, so it will not be reinstalled
"nvidia-legacy-340xx-kernel-support--v1" es un paquete virtual proporcionado por:
  nvidia-legacy-340xx-kernel-support:i386 
  nvidia-legacy-340xx-kernel-support 
Debe elegir uno para instalar.
"nvidia-legacy-340xx-kernel-support--v1:i386" es un paquete virtual proporcionado por:
  nvidia-legacy-340xx-kernel-support:i386 
  nvidia-legacy-340xx-kernel-support 
Debe elegir uno para instalar.
libnvidia-legacy-340xx-glcore is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-glcore:i386 is not currently installed, so it will not be reinstalled
nvidia-installer-cleanup:i386 is not currently installed, so it will not be reinstalled
libgl1-glvnd-nvidia-glx:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-driver is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-driver:i386 is not currently installed, so it will not be reinstalled
libopengl0-glvnd-nvidia:i386 is not currently installed, so it will not be reinstalled
nvidia-cuda-dev is not currently installed, so it will not be reinstalled
nvidia-cuda-doc is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-ml1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-ml1:i386 is not currently installed, so it will not be reinstalled
nvidia-opencl-dev is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-kernel-dkms is not currently installed, so it will not be reinstalled
nvidia-legacy-304xx-kernel-dkms:i386 is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-legacy-340xx-driver-bin" instead of the virtual package "nvidia-driver-bin-340.102"
nvidia-legacy-340xx-driver-bin is not currently installed, so it will not be reinstalled
Note: selecting "nvidia-legacy-340xx-driver-bin:i386" instead of the virtual package "nvidia-driver-bin-340.102:i386"
nvidia-legacy-340xx-driver-bin:i386 is not currently installed, so it will not be reinstalled
boinc-client-nvidia-cuda is not currently installed, so it will not be reinstalled
boinc-client-nvidia-cuda:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-340xx-eglcore" instead of the virtual package "libnvidia-eglcore-340.102"
libnvidia-legacy-340xx-eglcore is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-legacy-340xx-eglcore:i386" instead of the virtual package "libnvidia-eglcore-340.102:i386"
libnvidia-legacy-340xx-eglcore:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-nvcuvid1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-nvcuvid1:i386 is not currently installed, so it will not be reinstalled
nvidia-cg-dev is not currently installed, so it will not be reinstalled
nvidia-cg-dev:i386 is not currently installed, so it will not be reinstalled
nvidia-cg-doc is not currently installed, so it will not be reinstalled
nvidia-libopencl1 is not currently installed, so it will not be reinstalled
nvidia-libopencl1:i386 is not currently installed, so it will not be reinstalled
libnvidia-glcore:i386 is not currently installed, so it will not be reinstalled
nvidia-cuda-gdb is not currently installed, so it will not be reinstalled
libegl1-glvnd-nvidia:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-alternative is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-alternative:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-cfg1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-340xx-cfg1:i386 is not currently installed, so it will not be reinstalled
libgles2-glvnd-nvidia:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-ml1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-ml1:i386 is not currently installed, so it will not be reinstalled
"nvidia-legacy-304xx-kernel-support--v1" es un paquete virtual proporcionado por:
  nvidia-legacy-304xx-kernel-support:i386 
  nvidia-legacy-304xx-kernel-support 
Debe elegir uno para instalar.
"nvidia-legacy-304xx-kernel-support--v1:i386" es un paquete virtual proporcionado por:
  nvidia-legacy-304xx-kernel-support:i386 
  nvidia-legacy-304xx-kernel-support 
Debe elegir uno para instalar.
libnvidia-eglcore:i386 is not currently installed, so it will not be reinstalled
nvidia-settings:i386 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-cuda1 is not currently installed, so it will not be reinstalled
libnvidia-legacy-304xx-cuda1:i386 is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-kernel-source is not currently installed, so it will not be reinstalled
nvidia-legacy-340xx-kernel-source:i386 is not currently installed, so it will not be reinstalled
Note: selecting "libnvidia-eglcore:i386" instead of the virtual package "libnvidia-eglcore-375.82:i386"
libnvidia-eglcore:i386 is not currently installed, so it will not be reinstalled
nvidia-opencl-icd is not currently installed, so it will not be reinstalled
nvidia-opencl-icd:i386 is not currently installed, so it will not be reinstalled
nvidia-alternative:i386 is not currently installed, so it will not be reinstalled
Unable to apply some actions, aborting

 

Dom, 04/02/2018 - 15:41
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

vaya.... fallo mio, sorry, pero ¿tienes un sistema multiarquitectura? mucho i386 veo yo ahi....

El comando correcto, perdona:

sudo aptitude reinstall ~invidia ~idkms

 

  No hay bar que por bien no venga....
Dom, 04/02/2018 - 19:57
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

Comando sudo aptitude reinstall ~invidia ~idkms

Se REINSTALARÁN los siguientes paquetes:          
  bbswitch-dkms bumblebee-nvidia dkms glx-alternative-nvidia libegl-nvidia0 
  libegl1-glvnd-nvidia libgl1-glvnd-nvidia-glx libgl1-nvidia-glvnd-glx 
  libgldispatch0-nvidia libgles-nvidia1 libgles-nvidia2 
  libgles1-glvnd-nvidia libgles2-glvnd-nvidia libglx-nvidia0 
  libglx0-glvnd-nvidia libnvidia-cfg1 libnvidia-eglcore libnvidia-glcore 
  libnvidia-ml1 libopengl0-glvnd-nvidia nvidia-alternative nvidia-detect 
  nvidia-driver nvidia-driver-bin nvidia-driver-libs nvidia-egl-common 
  nvidia-egl-icd nvidia-installer-cleanup nvidia-kernel-common 
  nvidia-kernel-dkms nvidia-kernel-support nvidia-legacy-check 
  nvidia-modprobe nvidia-persistenced nvidia-settings nvidia-support 
  nvidia-vdpau-driver nvidia-vulkan-common nvidia-vulkan-icd 
  xserver-xorg-video-nvidia 
0 paquetes actualizados, 0 nuevos instalados, 40 reinstalados, 0 para eliminar y 0 sin actualizar.
Necesito descargar 30,4 MB de ficheros. Después de desempaquetar se usarán 0 B.
Des: 1 http://deb.debian.org/debian stretch/non-free amd64 nvidia-kernel-support amd64 375.82-1~deb9u1 [172 kB]
Des: 2 http://deb.debian.org/debian stretch/non-free amd64 xserver-xorg-video-nvidia amd64 375.82-1~deb9u1 [3.186 kB]
Des: 3 http://deb.debian.org/debian stretch/contrib amd64 glx-alternative-nvidia amd64 0.7.4 [9.246 B]
Des: 4 http://deb.debian.org/debian stretch/non-free amd64 nvidia-alternative amd64 375.82-1~deb9u1 [173 kB]
Des: 5 http://deb.debian.org/debian stretch/contrib amd64 nvidia-settings amd64 375.66-1 [882 kB]
Des: 6 http://deb.debian.org/debian stretch/non-free amd64 nvidia-driver-bin amd64 375.82-1~deb9u1 [254 kB]
Des: 7 http://deb.debian.org/debian stretch/contrib amd64 nvidia-persistenced amd64 375.26-2 [20,5 kB]
Des: 8 http://deb.debian.org/debian stretch/non-free amd64 nvidia-driver amd64 375.82-1~deb9u1 [466 kB]
Des: 9 http://deb.debian.org/debian stretch/non-free amd64 nvidia-kernel-dkms amd64 375.82-1~deb9u1 [6.763 kB]
Des: 10 http://deb.debian.org/debian stretch/non-free amd64 nvidia-legacy-check amd64 375.82-1~deb9u1 [176 kB]                                                                 
Des: 11 http://deb.debian.org/debian stretch/non-free amd64 nvidia-vdpau-driver amd64 375.82-1~deb9u1 [699 kB]                                                                 
Des: 12 http://deb.debian.org/debian stretch/main amd64 dkms all 2.3-2 [74,8 kB]                                                                                               
Des: 13 http://deb.debian.org/debian stretch/non-free amd64 libegl-nvidia0 amd64 375.82-1~deb9u1 [336 kB]                                                                      
Des: 14 http://deb.debian.org/debian stretch/non-free amd64 libegl1-glvnd-nvidia amd64 375.82-1~deb9u1 [197 kB]                                                                
Des: 15 http://deb.debian.org/debian stretch/non-free amd64 libgl1-glvnd-nvidia-glx amd64 375.82-1~deb9u1 [248 kB]                                                             
Des: 16 http://deb.debian.org/debian stretch/non-free amd64 libgl1-nvidia-glvnd-glx amd64 375.82-1~deb9u1 [323 kB]                                                             
Des: 17 http://deb.debian.org/debian stretch/non-free amd64 libgldispatch0-nvidia amd64 375.82-1~deb9u1 [214 kB]                                                               
Des: 18 http://deb.debian.org/debian stretch/non-free amd64 libgles-nvidia1 amd64 375.82-1~deb9u1 [188 kB]                                                                     
Des: 19 http://deb.debian.org/debian stretch/non-free amd64 libgles-nvidia2 amd64 375.82-1~deb9u1 [193 kB]                                                                     
Des: 20 http://deb.debian.org/debian stretch/non-free amd64 libgles1-glvnd-nvidia amd64 375.82-1~deb9u1 [180 kB]                                                               
Des: 21 http://deb.debian.org/debian stretch/non-free amd64 libgles2-glvnd-nvidia amd64 375.82-1~deb9u1 [182 kB]                                                               
Des: 22 http://deb.debian.org/debian stretch/non-free amd64 libglx-nvidia0 amd64 375.82-1~deb9u1 [422 kB]                                                                      
Des: 23 http://deb.debian.org/debian stretch/non-free amd64 libglx0-glvnd-nvidia amd64 375.82-1~deb9u1 [193 kB]                                                                
Des: 24 http://deb.debian.org/debian stretch/non-free amd64 libnvidia-cfg1 amd64 375.82-1~deb9u1 [226 kB]                                                                      
Des: 25 http://deb.debian.org/debian stretch/non-free amd64 libnvidia-eglcore amd64 375.82-1~deb9u1 [6.353 kB]                                                                 
Des: 26 http://deb.debian.org/debian stretch/non-free amd64 libnvidia-glcore amd64 375.82-1~deb9u1 [6.421 kB]                                                                  
Des: 27 http://deb.debian.org/debian stretch/non-free amd64 libnvidia-ml1 amd64 375.82-1~deb9u1 [550 kB]                                                                       
Des: 28 http://deb.debian.org/debian stretch/non-free amd64 libopengl0-glvnd-nvidia amd64 375.82-1~deb9u1 [197 kB]                                                             
Des: 29 http://deb.debian.org/debian stretch/non-free amd64 nvidia-detect amd64 375.82-1~deb9u1 [174 kB]                                                                       
Des: 30 http://deb.debian.org/debian stretch/non-free amd64 nvidia-driver-libs amd64 375.82-1~deb9u1 [171 kB]                                                                  
Des: 31 http://deb.debian.org/debian stretch/non-free amd64 nvidia-egl-common amd64 375.82-1~deb9u1 [172 kB]                                                                   
Des: 32 http://deb.debian.org/debian stretch/non-free amd64 nvidia-egl-icd amd64 375.82-1~deb9u1 [171 kB]                                                                      
Des: 33 http://deb.debian.org/debian stretch/contrib amd64 nvidia-installer-cleanup amd64 20151021+4 [19,3 kB]                                                                 
Des: 34 http://deb.debian.org/debian stretch/contrib amd64 nvidia-kernel-common amd64 20151021+4 [10,3 kB]                                                                     
Des: 35 http://deb.debian.org/debian stretch/contrib amd64 nvidia-modprobe amd64 375.26-1 [16,4 kB]                                                                            
Des: 36 http://deb.debian.org/debian stretch/contrib amd64 nvidia-support amd64 20151021+4 [20,1 kB]                                                                           
Des: 37 http://deb.debian.org/debian stretch/non-free amd64 nvidia-vulkan-common amd64 375.82-1~deb9u1 [172 kB]                                                                
Des: 38 http://deb.debian.org/debian stretch/non-free amd64 nvidia-vulkan-icd amd64 375.82-1~deb9u1 [171 kB]                                                                   
Des: 39 http://deb.debian.org/debian stretch/main amd64 bbswitch-dkms amd64 0.8-4 [12,3 kB]                                                                                    
Des: 40 http://deb.debian.org/debian stretch/contrib amd64 bumblebee-nvidia amd64 3.2.1-14 [5.146 B]                                                                           
Descargados 30,4 MB en 25s (1.196 kB/s)                                                                                                                                        
Extrayendo plantillas para los paquetes: 100%
Preconfigurando paquetes ...
(Leyendo la base de datos ... 263662 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../nvidia-kernel-support_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-kernel-support (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../nvidia-installer-cleanup_20151021+4_amd64.deb ...
Desempaquetando nvidia-installer-cleanup (20151021+4) sobre (20151021+4) ...
Configurando nvidia-installer-cleanup (20151021+4) ...
(Leyendo la base de datos ... 263662 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../nvidia-legacy-check_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-legacy-check (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Configurando nvidia-legacy-check (375.82-1~deb9u1) ...
(Leyendo la base de datos ... 263662 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../00-xserver-xorg-video-nvidia_375.82-1~deb9u1_amd64.deb ...
Desempaquetando xserver-xorg-video-nvidia (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../01-glx-alternative-nvidia_0.7.4_amd64.deb ...
Desempaquetando glx-alternative-nvidia (0.7.4) sobre (0.7.4) ...
Preparando para desempaquetar .../02-nvidia-alternative_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-alternative (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../03-nvidia-settings_375.66-1_amd64.deb ...
Desempaquetando nvidia-settings (375.66-1) sobre (375.66-1) ...
Preparando para desempaquetar .../04-nvidia-driver-bin_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-driver-bin (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../05-nvidia-persistenced_375.26-2_amd64.deb ...
Desempaquetando nvidia-persistenced (375.26-2) sobre (375.26-2) ...
Preparando para desempaquetar .../06-nvidia-driver_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-driver (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../07-nvidia-kernel-dkms_375.82-1~deb9u1_amd64.deb ...

------------------------------
Deleting module version: 375.82
completely from the DKMS tree.
------------------------------
Done.
Desempaquetando nvidia-kernel-dkms (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../08-nvidia-vdpau-driver_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-vdpau-driver:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../09-dkms_2.3-2_all.deb ...
Desempaquetando dkms (2.3-2) sobre (2.3-2) ...
Preparando para desempaquetar .../10-libegl-nvidia0_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libegl-nvidia0:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../11-libegl1-glvnd-nvidia_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libegl1-glvnd-nvidia:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../12-libgl1-glvnd-nvidia-glx_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libgl1-glvnd-nvidia-glx:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../13-libgl1-nvidia-glvnd-glx_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libgl1-nvidia-glvnd-glx:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../14-libgldispatch0-nvidia_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libgldispatch0-nvidia:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../15-libgles-nvidia1_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libgles-nvidia1:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../16-libgles-nvidia2_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libgles-nvidia2:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../17-libgles1-glvnd-nvidia_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libgles1-glvnd-nvidia:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../18-libgles2-glvnd-nvidia_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libgles2-glvnd-nvidia:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../19-libglx-nvidia0_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libglx-nvidia0:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../20-libglx0-glvnd-nvidia_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libglx0-glvnd-nvidia:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../21-libnvidia-cfg1_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libnvidia-cfg1:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../22-libnvidia-eglcore_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libnvidia-eglcore:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../23-libnvidia-glcore_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libnvidia-glcore:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../24-libnvidia-ml1_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libnvidia-ml1:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../25-libopengl0-glvnd-nvidia_375.82-1~deb9u1_amd64.deb ...
Desempaquetando libopengl0-glvnd-nvidia:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../26-nvidia-detect_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-detect (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../27-nvidia-driver-libs_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-driver-libs:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../28-nvidia-egl-common_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-egl-common (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../29-nvidia-egl-icd_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-egl-icd:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../30-nvidia-kernel-common_20151021+4_amd64.deb ...
Desempaquetando nvidia-kernel-common (20151021+4) sobre (20151021+4) ...
Preparando para desempaquetar .../31-nvidia-modprobe_375.26-1_amd64.deb ...
Desempaquetando nvidia-modprobe (375.26-1) sobre (375.26-1) ...
Preparando para desempaquetar .../32-nvidia-support_20151021+4_amd64.deb ...
Desempaquetando nvidia-support (20151021+4) sobre (20151021+4) ...
Preparando para desempaquetar .../33-nvidia-vulkan-common_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-vulkan-common (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../34-nvidia-vulkan-icd_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-vulkan-icd:amd64 (375.82-1~deb9u1) sobre (375.82-1~deb9u1) ...
Preparando para desempaquetar .../35-bbswitch-dkms_0.8-4_amd64.deb ...

-------- Uninstall Beginning --------
Module:  bbswitch
Version: 0.8
Kernel:  4.14.0-0.bpo.3-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

bbswitch.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.0-0.bpo.3-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod...

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module:  bbswitch
Version: 0.8
Kernel:  4.15.0-041500-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

bbswitch.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.15.0-041500-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod...

DKMS: uninstall completed.

------------------------------
Deleting module version: 0.8
completely from the DKMS tree.
------------------------------
Done.
Desempaquetando bbswitch-dkms (0.8-4) sobre (0.8-4) ...
Preparando para desempaquetar .../36-bumblebee-nvidia_3.2.1-14_amd64.deb ...
Desempaquetando bumblebee-nvidia (3.2.1-14) sobre (3.2.1-14) ...
Configurando nvidia-kernel-common (20151021+4) ...
Configurando glx-alternative-nvidia (0.7.4) ...
Procesando disparadores para mime-support (3.60) ...
Configurando libnvidia-eglcore:amd64 (375.82-1~deb9u1) ...
Configurando libgldispatch0-nvidia:amd64 (375.82-1~deb9u1) ...
Procesando disparadores para desktop-file-utils (0.23-1) ...
Configurando nvidia-support (20151021+4) ...
Configurando libnvidia-glcore:amd64 (375.82-1~deb9u1) ...
Configurando dkms (2.3-2) ...
Procesando disparadores para libc-bin (2.24-11+deb9u1) ...
Configurando nvidia-egl-common (375.82-1~deb9u1) ...
Configurando nvidia-modprobe (375.26-1) ...
Configurando nvidia-vulkan-common (375.82-1~deb9u1) ...
Configurando nvidia-detect (375.82-1~deb9u1) ...
Procesando disparadores para man-db (2.7.6.1-2) ...
Procesando disparadores para gnome-menus (3.13.3-9) ...
Configurando bbswitch-dkms (0.8-4) ...
Loading new bbswitch-0.8 DKMS files...
Building for 4.15.0-041500-lowlatency 4.15.0-041500-generic
Building initial module for 4.15.0-041500-lowlatency
Done.

bbswitch:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-041500-lowlatency/updates/dkms/

depmod...

DKMS: install completed.
Building initial module for 4.15.0-041500-generic
Done.

bbswitch:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-041500-generic/updates/dkms/

depmod...

DKMS: install completed.
Configurando libopengl0-glvnd-nvidia:amd64 (375.82-1~deb9u1) ...
Procesando disparadores para glx-alternative-nvidia (0.7.4) ...
Configurando nvidia-alternative (375.82-1~deb9u1) ...
Procesando disparadores para nvidia-alternative (375.82-1~deb9u1) ...
Configurando libglx0-glvnd-nvidia:amd64 (375.82-1~deb9u1) ...
Configurando nvidia-kernel-support (375.82-1~deb9u1) ...
Configurando nvidia-settings (375.66-1) ...
Configurando nvidia-vdpau-driver:amd64 (375.82-1~deb9u1) ...
Configurando libegl1-glvnd-nvidia:amd64 (375.82-1~deb9u1) ...
Configurando libegl-nvidia0:amd64 (375.82-1~deb9u1) ...
Configurando libnvidia-cfg1:amd64 (375.82-1~deb9u1) ...
Configurando libgles1-glvnd-nvidia:amd64 (375.82-1~deb9u1) ...
Configurando nvidia-kernel-dkms (375.82-1~deb9u1) ...
Loading new nvidia-current-375.82 DKMS files...
Building for 4.15.0-041500-lowlatency 4.15.0-041500-generic
Building initial module for 4.15.0-041500-lowlatency
Error! Bad return status for module build on kernel: 4.15.0-041500-lowlatency (x86_64)
Consult /var/lib/dkms/nvidia-current/375.82/build/make.log for more information.
Configurando libnvidia-ml1:amd64 (375.82-1~deb9u1) ...
Configurando libgles-nvidia1:amd64 (375.82-1~deb9u1) ...
Configurando xserver-xorg-video-nvidia (375.82-1~deb9u1) ...
Configurando nvidia-driver-bin (375.82-1~deb9u1) ...
Configurando libgl1-glvnd-nvidia-glx:amd64 (375.82-1~deb9u1) ...
Configurando nvidia-persistenced (375.26-2) ...
Configurando libgles2-glvnd-nvidia:amd64 (375.82-1~deb9u1) ...
Configurando libglx-nvidia0:amd64 (375.82-1~deb9u1) ...
Configurando nvidia-vulkan-icd:amd64 (375.82-1~deb9u1) ...
Configurando nvidia-egl-icd:amd64 (375.82-1~deb9u1) ...
Configurando bumblebee-nvidia (3.2.1-14) ...
Configurando libgles-nvidia2:amd64 (375.82-1~deb9u1) ...
Configurando libgl1-nvidia-glvnd-glx:amd64 (375.82-1~deb9u1) ...
Configurando nvidia-driver-libs:amd64 (375.82-1~deb9u1) ...
Configurando nvidia-driver (375.82-1~deb9u1) ...
Procesando disparadores para libc-bin (2.24-11+deb9u1) ...
Procesando disparadores para update-glx (0.7.4) ...
Procesando disparadores para glx-alternative-nvidia (0.7.4) ...
update-alternatives: atención: forzando la reinstalación de la alternativa /usr/lib/nvidia/bumblebee porque el grupo de enlaces glx está roto
Procesando disparadores para libc-bin (2.24-11+deb9u1) ...
Procesando disparadores para initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-041500-lowlatency
Procesando disparadores para bumblebee (3.2.1-14) ...

 

Dom, 04/02/2018 - 20:05
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

luego de eso, reinicie la notebook y se no paso del login, se congelo ahí y empezó a girar mucho los ventiladores. algo mas para configurar?

Edit, voy a intentar reinstalar todo de nuevo

 

edit2: reinstale todo, debian de nuevo para sacarme las dudas y al intentar todo de nuevo, no pasa del login y los ventiladores a todo lo que dan... sera que aun no son compatibles los driver con la placa?

Lun, 05/02/2018 - 12:23
debiatonix
Imagen de debiatonix
Desconectado/a
se unió: 07/01/18

Elimina nvidia-settings y me cuentaswink, luego dpkg-reconfigure nvidia-kernel-dkms.

saludos!

Pon una debian en tu vidayes

Lun, 05/02/2018 - 13:01 (Responder a #14)
debiatonix
Imagen de debiatonix
Desconectado/a
se unió: 07/01/18

Intenta instalar los drivers nvidia DE LOS BACKPORTS, creo que son los 384.111.
apt-get remove --purge nvidia-driver
apt-get autoremove
(Con los backports)apt-get -t stretch-backports install nvidia-driver

Pon una debian en tu vidayes

Lun, 05/02/2018 - 13:56 (Responder a #15)
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

debiatonix wrote:

Elimina nvidia-settings y me cuentaswink, luego dpkg-reconfigure nvidia-kernel-dkms.

saludos!

 

mm donde esta ese archivo? no lo encuentro.

Intenta instalar los drivers nvidia DE LOS BACKPORTS, creo que son los 384.111.
apt-get remove --purge nvidia-driver
apt-get autoremove
(Con los backports)apt-get -t stretch-backports install nvidia-driver

es lo que tengo en mi souirces.list

deb http://deb.debian.org/debian stretch main contrib non-free
deb-src http://deb.debian.org/debian stretch main contrib non-free

deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/debian-security/ stretch/updates main contrib no$
deb-src http://security.debian.org/debian-security/ stretch/updates main contri$
deb http://ftp.debian.org/debian stretch-backports main
deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
# deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
deb [arch=amd64] https://download.docker.com/linux/debian stretch stable
# deb-src [arch=amd64] https://download.docker.com/linux/debian stretch stable

Edit:

Intente lo siguiente pero algo salio mal:

sudo dpkg-reconfigure nvidia-kernel-dkms

------------------------------
Deleting module version: 375.82
completely from the DKMS tree.
------------------------------
Done.
Loading new nvidia-current-375.82 DKMS files...
Building for 4.14.0-0.bpo.3-amd64
Building initial module for 4.14.0-0.bpo.3-amd64
Error! Bad return status for module build on kernel: 4.14.0-0.bpo.3-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/375.82/build/make.log for more information.

nvidia-settings no lo tenia instalado, y antes de esto instale los drivers de los backports.

Lun, 05/02/2018 - 14:00
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

Building initial module for 4.15.0-041500-lowlatency Error! Bad return status for module build on kernel: 4.15.0-041500-lowlatency (x86_64) Consult /var/lib/dkms/nvidia-current/375.82/build/make.log for more information.

De momento, el driver nvidia no se ha compilado, ha dado algún error, puede ser que haya algún bug con la versión del controlador y el kernel que estás usando (kernel 4.15 en debian Stable/Stretch? Pero si no ha entrado en Unstable todavía!) que por lo que veo no es el suyo. Esa información podrías haberla dado desde el principio, por eso nos ponemos tan pesados con la lectura de las normas y todo eso... Imagino que has instalado ese kernel por tu cuenta para tener los parches contra Meltdown y Spectre. Una de dos, o no tienes instaladas las headers correspondientes a dicho kernel (parece que si, bbswitch ha compilado sin problemas), o la versión del driver no es compatible con tu kerel, que es la que tiene todas las papeletas de ser...

Mírate lo de backports como te hemos dicho, que tendrás una versión de xserver-xorg-video-nvidia más nueva, acorde al kernel que haya en backports (imagino será un 4.14) y tendrá más posibilidades de compilar con el kernel 4.15 que usas.

 

Edit....

Cosas raras veo en tu sources.list.... ¿Mezclar repositorios ppa de *buntu con debian stable? guay, bien vamos, espero que tengas una razón de peso para hacer eso... y hayas mirado que Xenial es la versión compatible con tu sistema...

Y los otros, repositorios de docker que incluyen strectch y stable en la misma línea ¿no dan error ninguno?

Me da que tienes una buena mezcla en el sistema... no esperes milagros con los controladores de nvidia, que es más que probable que no estén preparados para tu kernel...

  No hay bar que por bien no venga....
Lun, 05/02/2018 - 14:02 (Responder a #17)
debiatonix
Imagen de debiatonix
Desconectado/a
se unió: 07/01/18

Al final del la linea de backports de tus sources.list te falta "contrib" "non-free"

Pon una debian en tu vidayes

Lun, 05/02/2018 - 14:13 (Responder a #18)
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18
uname -r
4.14.0-0.bpo.3-amd64

Esa version del kernel tengo

Lun, 05/02/2018 - 14:16 (Responder a #19)
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

AHi agregue, desinstale todo y empece de 0 

sudo apt-get -t stretch-backports install nvidia-driver
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Se instalarán los siguientes paquetes NUEVOS:
  nvidia-driver
0 actualizados, 1 nuevos se instalarán, 0 para eliminar y 48 no actualizados.
Se necesita descargar 0 B/466 kB de archivos.
Se utilizarán 1.170 kB de espacio de disco adicional después de esta operación.
Seleccionando el paquete nvidia-driver previamente no seleccionado.
(Leyendo la base de datos ... 226632 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../nvidia-driver_375.82-1~deb9u1_amd64.deb ...
Desempaquetando nvidia-driver (375.82-1~deb9u1) ...
Configurando nvidia-driver (375.82-1~deb9u1) ...

 

Lun, 05/02/2018 - 14:18 (Responder a #20)
jlopezjuy
Imagen de jlopezjuy
Desconectado/a
se unió: 31/01/18

ese de ubuntu fue para instalar docker nada mas, lo saque de la guia de la pagina de docker.

Edit: desisntale todo, 

sudo apt remove xserver-xorg-video-nvidia bumblebee-nvidia bbswitch-dkms nvidia-kernel-dkms

sudo apt-get remove --purge nvidia-driver

sudo apt-get -t stretch-backports remove nvidia-driver

sudo apt-get autoremove

Como para empezar de cero, ahora como empiezo de nuevo?